# BlockchainOnchain

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**protocol** | **string** | The protocol of the blockchain | [default to undefined]|
|**test** | **boolean** | Is test blockchain | [default to undefined]|
|**signingAlgo** | **string** | Signing alghorithm | [default to undefined]|
|**chainId** | **string** | Network/chain ID | [optional] [default to undefined]|


## Enum: BlockchainOnchainSigningAlgoEnum


* `EcdsaSecp256K1` (value: `'ECDSA_SECP256K1'`)

* `EddsaEd25519` (value: `'EDDSA_ED25519'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
